<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xisc.pm.infra.mapper.PmSteelCastSlabItfMapper">


    <sql id = "BaseSql">
    PSCSI.ITF_ID,
    PSCSI.MAIN_BACKLOG_CODE,
    PSCSI.SLAB_NO,
    PSCSI.CAST_LOT_NO,
    PSCSI.PONO,
    PSCSI.STRAND_NO,
    PSCSI.BILLET_TYPE,
    PSCSI.SLAB_GROUP_NO,
    PSCSI.SLAB_NUM,
    PSCSI.VARIETY_CODE,
    PSCSI.STEEL_CODE,
    PSCSI.SLAB_THICK,
    PSCSI.SLAB_WIDTH,
    PSCSI.SLAB_LEN,
    PSCSI.SLAB_MAX_LEN,
    PSCSI.SLAB_MIN_LEN,
    PSCSI.SLAB_WT,
    PSCSI.SLAB_MAX_WT,
    PSCSI.SLAB_MIN_WT,
    PSCSI.ORDER_LEN_MAX,
    PSCSI.ORDER_LEN_MIN,
    PSCSI.ORDER_SHORT_MAX,
    PSCSI.ORDER_SHORT_MIN,
    PSCSI.ORDER_SHORT_RATE,
    PSCSI.INFUR_SLAB_WID,
    PSCSI.INFUR_SLAB_LEN,
    PSCSI.INFUR_SLAB_MAX_LEN,
    PSCSI.INFUR_SLAB_MIN_LEN,
    PSCSI.INFUR_SLAB_WT,
    PSCSI.INFUR_SLAB_MAX_WT,
    PSCSI.INFUR_SLAB_MIN_WT,
    PSCSI.ORDER_NO,
    PSCSI.PLAN_TYPE,
    PSCSI.SLAB_DEST,
    PSCSI.HOT_SEND_FLAG,
    PSCSI.HOT_CHARGE_FLAG,
    PSCSI.MEND_FLAG,
    PSCSI.SLAB_FINISH_CODE,
    PSCSI.FLAME_CLEAN_DIV,
    PSCSI.NEW_TEST_NO,
    PSCSI.SHORT_CUT_FLAG,
    PSCSI.PREC_ROLL_PLAN_NO,
    PSCSI.PREC_ROLL_SEQ_NO,
    PSCSI.SLAB_COOL_CODE,
    PSCSI.ORDER_REMAIN_DIV,
    PSCSI.STEEL_LATEST_DATE,
    PSCSI.ITF_BATCH_ID,
    PSCSI.ITF_STATUS,
    PSCSI.ITF_MESSAGE,
    PSCSI.ITF_RETRY_TIMES,
    PSCSI.TENANT_ID,
    PSCSI.ATTRIBUTE1,
    PSCSI.ATTRIBUTE2,
    PSCSI.ATTRIBUTE3,
    PSCSI.ATTRIBUTE4,
    PSCSI.ATTRIBUTE5,
    PSCSI.creation_date,    PSCSI.created_by,    PSCSI.last_updated_by,    PSCSI.last_update_date,    PSCSI.object_version_number
    </sql>

    <select id = "selectList" resultType = "com.xisc.pm.domain.entity.PmSteelCastSlabItf">
        select
        <include refid = "BaseSql"/>
        from PM_STEEL_CAST_SLAB_ITF PSCSI
        <where>
            <if test="itfId !=null">
                and PSCSI.ITF_ID = #{itfId,jdbcType = INTEGER}
            </if>
        </where>
    </select>
</mapper>

